Soporte » Instalación – Actualizaciones » Bug: No es necesario actualizar tu BBDD

  • Hola chicos, mi instalación esta en WordPress 4.7.x y quise instalar la última actualización 5.0.3. Al reedirigirme al panel de control siempre aparece esto:

    No hay manera que se actualice la BBDD. He visto a otros usuarios que les ha ocurrido igual pero no he visto una solución.

    Gracias a todos.

    • Este debate fue modificado hace 2 meses, 1 semana por  BF Educacion.
Viendo 6 respuestas - 1 de 6 (de 6 total)
  • Hola,

    En la captura ya te dice que esta actualizada, lo normal es que al plusar en continuar te muestre la administration.

    Has probado de entrar desde aqui ‘tudominio/wp-login.php’ para iniciar sesion y ver si te lo muestra?

    Es posible que la referencia del enlace anterior sea la misma que esa pantalla y siempre te lleve al mismo sitio.

    Es muy raro que no se actualize (solo cambia un numero en la base de datos), salvo que hubiese algun problema en la actualizacion y los archivos no se actualizaron correctamente.

    Lo lamento pero no se me ocurre nada mas.

    Al pulsar en “Continuar”, siempre se reedirecciona a esa pantalla. He tenido que actualizar a la versión 4.9.9 y funciona sin problema. No sé, esperaré a la 5.1 a ver…

    Por curiosidad, como actualizas el WordPress?
    Si actualizastes a la 5 no puedes actualizar a la 4, el WordPress no tiene implementado hacer un downgrade.

    Hola Kallo,

    En principio lo que se debería hacer es restaurar una copia de seguridad de la BBDD y volver a poner los ficheros de WordPress anteriores, pero sin hacer eso coloqué los mismos ficheros de la 4.7.X, me salió un mensaje que se tenía que actualizar la BBDD. Pinché en continuar, vi que todo iba bien, y coloque los ficheros manualmente de la 4.9.9. (con esta última no me pidió actualizar la BBDD)

    En mi caso si se hizo un downgrade sin tener que restaurar BBDD.

    • Esta respuesta fue modificada hace 2 meses, 1 semana por  BF Educacion.

    Vale, eso me parecia. Pense que podrias usar algun instalador de WordPress y fuese el problema de hay.

    Sobre que no te lo pidio de la 4.7 a la 4.9 es porque es la misma version de la DB.

    Es la primera vez que veo un caso como el tuyo, he visto casos de una mala descarga y cosas parecidas. No se que mas decirte, salvo que si quieres vuelvas a probar la actualizacion desactivando los plugins temporalmente por si hubiese alguno que interfiera o sin desactivarlos.

    Saludos y suerte

    Hola @bosquefantasias,

    Ayudaría a la gestión del foro marcar el debate como resuelto si ya encontraste la solución.

    ¡Gracias! 🙂

Viendo 6 respuestas - 1 de 6 (de 6 total)
  • Debes estar registrado para responder a este tema.